JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const flow = await client.workflows.flows.update('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');
console.log(flow.data);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
flow = client.workflows.flows.update(
flow_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(flow.data)curl --request PATCH \
--url https://api.mobilerun.ai/v1/flows/{flowId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cooldownScope": "flow",
"cooldownSeconds": 1,
"description": "<string>",
"deviceIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"enabled": true,
"healthMonitoringEnabled": true,
"name": "<string>",
"notifyOnFailure": true,
"notifyOnSuccess": true,
"notifyWebhookId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"recordingEnabled": true,
"selfHealingEnabled": true,
"selfHealingMaxAttempts": 3,
"triggerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
"data": {
"blockedAt": "<string>",
"consecutiveFailures": 1,
"cooldownScope": "flow",
"cooldownSeconds": 123,
"createdAt": "<string>",
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"deviceIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"enabled": true,
"healthMonitoringEnabled": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lastFailureAt": "<string>",
"lastFailureCode": "device_not_found",
"lastTriggeredAt": "<string>",
"name": "<string>",
"notifyOnFailure": true,
"notifyOnSuccess": true,
"notifyWebhookId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ownerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"recordingEnabled": true,
"selfHealingEnabled": true,
"selfHealingMaxAttempts": 3,
"status": "healthy",
"templateResolutionVersion": 1,
"triggerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updatedAt": "<string>",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": "<string>"
}Flows
Update a flow
Partially update a flow’s settings — name, trigger binding, enabled state, target devices, cooldown, or notifications; all fields are optional. Actions are managed through the flow-actions endpoints, not here. Returns 404 if the flow does not exist.
PATCH
/
flows
/
{flowId}
JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const flow = await client.workflows.flows.update('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');
console.log(flow.data);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
flow = client.workflows.flows.update(
flow_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(flow.data)Authorizations
Bearer token via Authorization header
Path Parameters
Body
application/json
Available options:
flow, device Required range:
x >= 0Maximum string length:
2048Maximum array length:
256Required string length:
1 - 256Required range:
1 <= x <= 5Response
Flow updated
Show child attributes
Show child attributes
Was this page helpful?
⌘I